Package org.apache.sling.fsprovider.internal.parser

# Interface ContentElement

public interface ContentElement
Represents a resource or node in the content hierarchy.

## Method Summary

Modifier and Type
Method
Description
`ContentElement`
`getChild(String path)`
Get child or descendant
`Map<String,ContentElement>`
`getChildren()`
Get children of current resource.
`String`
`getName()`
`Map<String,Object>`
`getProperties()`
Properties of this resource.

## Method Details

### getName

String getName()

Returns:
  Resource name. The root resource has no name (null).

### getProperties

Map<String,Object> getProperties()
Properties of this resource.

Returns:
  Properties (keys, values)

### getChildren

Map<String,ContentElement> getChildren()
Get children of current resource. The Map preserves the ordering of children.

Returns:
  Children (child names, child objects)

### getChild

ContentElement getChild(String path)
Get child or descendant

Parameters:
  `path` - Relative path to address child or one of it's descendants (use "/" as hierarchy separator).
Returns:
  Child or null if no child found with this path